package com.zcloud.personnel.positioning.domain.gateway;

import com.zcloud.personnel.positioning.domain.model.AlarmRuleE;

/**
 * web-domain
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AlarmRuleGateway {
    Boolean add(AlarmRuleE alarmRuleE);

    Boolean update(AlarmRuleE alarmRuleE);

    Boolean deletedAlarmRuleById(Long id);

    Boolean deletedAlarmRuleByIds(Long[] ids);
}
